/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.planning.tactical;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.openide.util.NbBundle;

/**
 * Action to create a new fieldPlan. Will result in showing a dialog
 * @author Timon Veenstra
 */
public class NewFieldPlanAction extends AbstractAction {
    private static final String DISPLAY_NAME = NbBundle.getMessage(NewFieldPlanAction.class, "field_plan.new_field_plan_action.action_name");
    
    public NewFieldPlanAction() {
        putValue(NAME, DISPLAY_NAME);
    }

    @Override
    public final void actionPerformed(ActionEvent e) {
        FieldPlanController controller = new FieldPlanController();
        controller.initPanel();
    }
}
